× Forum Header

stepconf and 2.8.0.pre incompatible ?

More
11 Apr 2017 06:31 #91168 by wicki
is it possible, that ./bin/stepconf of LINUXCNC - 2.8.0~pre1
is unable, to create an config, which is usable by LINUXCNC - 2.8.0~pre1 ?


LINUXCNC - 2.8.0~pre1
Machine configuration directory is '/home/ixxx/linuxcnc/configs/machine'
Machine configuration file is 'machine.ini'

check_config: ERROR
Missing [KINS]KINEMATICS=
Missing [KINS]JOINTS=

check_config validation failed

Please Log in or Create an account to join the conversation.

More
12 Apr 2017 00:17 #91215 by tommylight

is it possible, that ./bin/stepconf of LINUXCNC - 2.8.0~pre1
is unable, to create an config, which is usable by LINUXCNC - 2.8.0~pre1 ?


Same version?
You mean usable by older versions, right?
I am using a lot of older configs that i had no troble when converting to 2.8 by the included script.
It looks like your ini file is missing the kinematics section, check if you have it in the hal file and add it to ini, then try again converting it.
I had an old config like that.

Please Log in or Create an account to join the conversation.

More
12 Apr 2017 04:06 #91222 by wicki
my fault...

I think, I mixed to much different versions, paths and configs....

its working now.

Please Log in or Create an account to join the conversation.

More
18 Mar 2022 13:45 #237637 by julio cesar
como lo solucionaste?, en mi caso descargue una configuraciĆ³n y cuando intento correrla me sale ese error. ya no se que hacer

Please Log in or Create an account to join the conversation.

Time to create page: 0.150 seconds
Powered by Kunena Forum